From: Andrew Morton <akpm@osdl.org>

David taketh away, Herbert useth.

Cc: Herbert Xu <herbert@gondor.apana.org.au>
Cc: David Howells <dhowells@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/md/dm-crypt.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/md/dm-crypt.c~log2-implement-a-general-integer-log2-facility-in-the-kernel-vs-git-cryptodev drivers/md/dm-crypt.c
--- a/drivers/md/dm-crypt.c~log2-implement-a-general-integer-log2-facility-in-the-kernel-vs-git-cryptodev
+++ a/drivers/md/dm-crypt.c
@@ -217,7 +217,7 @@ static int crypt_iv_benbi_ctr(struct cry
 			      const char *opts)
 {
 	unsigned int bs = crypto_blkcipher_blocksize(cc->tfm);
-	int log = long_log2(bs);
+	int log = ilog2(bs);
 
 	/* we need to calculate how far we must shift the sector count
 	 * to get the cipher block count, we use this shift in _gen */
_
